Package ru.bitel.bgbilling.plugins.dispatch.common.bean

# Class DispatchMessageStatistic

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessageStatistic

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class DispatchMessageStatistic
    extends Id

Бин для хранения информации об отправленных сообещниях

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DispatchMessageStatistic()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getContact()` | Получение текстового представления контакта.
  `int` | `getContactId()` | Получение кода контакта договора, кому было отправлено данное сообщение
  `int` | `getContractId()` | Получение кода договора, сообщение для которого было отправлено.
  `java.lang.String` | `getContractTitle()` | Получение названия договора
  `int` | `getDispatchId()` | Получение рассылки, сообщение по которой было отправлено
  `java.lang.String` | `getDispatchTitle()` | Получение названия рассылки
  `int` | `getMessageId()` | Получение кода сообщения, которое было отправлено
  `java.lang.String` | `getMessageText()` | Получение текста сообщения
  `java.util.Date` | `getSendDate()` | Получение даты и времени, когда было отправлено сообщение
  `void` | `setContact​(java.lang.String contact)` | Установка текстового представления контакта.
  `void` | `setContactId​(int contactId)` | Установка списка контактов договора, кому было отправлено данное сообщение
  `void` | `setContractId​(int contractId)` | Установка кода договора, сообщение для которого было отправлено.
  `void` | `setContractTitle​(java.lang.String contractTitle)` | Установка названия договора
  `void` | `setDispatchId​(int dispatchId)` | Установка рассылки, сообщение по которой было отправлено
  `void` | `setDispatchTitle​(java.lang.String dispatchTitle)` | Установка названия рассылки
  `void` | `setMessageId​(int messageId)` | Установка кода сообщения, которое было отправлено
  `void` | `setMessageText​(java.lang.String messageText)` | Установка текста сообщения
  `void` | `setSendDate​(java.util.Date sendDate)` | Установка даты и времени, когда было отправлено сообщение

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DispatchMessageStatistic

    public DispatchMessageStatistic()

- ## Method Details

  - ### getContractId

    public int getContractId()
    Получение кода договора, сообщение для которого было отправлено.
    Returns:
      код договора

  - ### setContractId

    public void setContractId​(int contractId)
    Установка кода договора, сообщение для которого было отправлено.
    Parameters:
      `contractId` - код договора

  - ### getSendDate

    public java.util.Date getSendDate()
    Получение даты и времени, когда было отправлено сообщение
    Returns:
      дата и время отправки сообщения

  - ### setSendDate

    public void setSendDate​(java.util.Date sendDate)
    Установка даты и времени, когда было отправлено сообщение
    Parameters:
      `sendDate` - дата и время отправки сообщения

  - ### getDispatchId

    public int getDispatchId()
    Получение рассылки, сообщение по которой было отправлено
    Returns:
      код рассылки

  - ### setDispatchId

    public void setDispatchId​(int dispatchId)
    Установка рассылки, сообщение по которой было отправлено
    Parameters:
      `dispatchId` - код рассылки

  - ### getMessageId

    public int getMessageId()
    Получение кода сообщения, которое было отправлено
    Returns:
      код сообщения

  - ### setMessageId

    public void setMessageId​(int messageId)
    Установка кода сообщения, которое было отправлено
    Parameters:
      `messageId` - код сообщения

  - ### getContactId

    public int getContactId()
    Получение кода контакта договора, кому было отправлено данное сообщение
    Returns:
      код контакта договора

  - ### setContactId

    public void setContactId​(int contactId)
    Установка списка контактов договора, кому было отправлено данное сообщение
    Parameters:
      `contactId` - список кодов контактов договора

  - ### getContact

    public java.lang.String getContact()
    Получение текстового представления контакта.
    Returns:
      контакт

  - ### setContact

    public void setContact​(java.lang.String contact)
    Установка текстового представления контакта.
    Parameters:
      `contact` - контакт

  - ### getMessageText

    public java.lang.String getMessageText()
    Получение текста сообщения
    Returns:
      текст сообщения

  - ### setMessageText

    public void setMessageText​(java.lang.String messageText)
    Установка текста сообщения
    Parameters:
      `messageText` - текст сообщения

  - ### getDispatchTitle

    public java.lang.String getDispatchTitle()
    Получение названия рассылки
    Returns:
      название рассылки

  - ### setDispatchTitle

    public void setDispatchTitle​(java.lang.String dispatchTitle)
    Установка названия рассылки
    Parameters:
      `dispatchTitle` - название рассылки

  - ### getContractTitle

    public java.lang.String getContractTitle()
    Получение названия договора
    Returns:
      название договора

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)
    Установка названия договора
    Parameters:
      `contractTitle` - название договора